/ comp / gb / object / new
Object.New (gb)
Syntax

    STATIC FUNCTION New ( Class AS String [ , Arguments AS Array ] ) AS Object

Instantiates the class Class.

This routine works exactly like the NEW operator, except that the class name is specified at runtime and not at compile time.

If you want to specify the observer that will receives all the events generated by the newly created object, you must use the Object.Attach static method.

### Examples

    hButton = Object.New("Button", [hParent])
    'has exactly the same effect as:
    hButton = NEW Button(hParent)

### See also

Object & Class Management